ASY(1)

NAME
asy - Asymptote: a script-based vector graphics language

SYNOPSIS
asy [options] [file ...]

DESCRIPTION
Asymptote is a powerful descriptive vector graphics language for technical drawings, inspired by MetaPost but with an improved C++-like syntax. Asymptote provides for figures the same high-quality level of typesetting that LaTeX does for scientific text.

OPTIONS
If no arguments are given, Asymptote runs in interactive mode.

If "-" is given as the file argument, Asymptote reads from standard input.

A summary of options is included below. The effect of most options can be negated by prepending no to the option name. Default values for most options may also be entered in the file .asy/config.asy in the user's home directory using the long form:

     import settings;
     batchView=true;

For a complete description, see the Info files. -animating [false] -convertOptions str [] -dvipsOptions str [] -dvisvgmOptions str [--optimize] -glOptions str [] -gsOptions str [] -htmlviewerOptions str -hyperrefOptions str [setpagesize=false,unicode,pdfborder=0 0 0] -interrupt [false] -pdfreloadOptions str [] -pdfviewerOptions str [] -psviewerOptions str []

SEE ALSO
Asymptote is documented fully in the asymptote Info page. The manual can also be accessed in interactive mode with the "help" command.

AUTHOR
Asymptote was written by Andy Hammerlindl, John Bowman, and Tom Prince.

This manual page was written by Hubert Chan for the Debian project (but may be used by others).